Subject: 600914472_2 || LFS FORWARDER R.R || LFS DRIVER AYOUB
From: Amani Bani Odeh <[email-masked]>
To: Eugene Mugisa <[email-masked]>, Mostafa saad <[email-masked]>
Cc: customer care <[email-masked]>, Uae Lastmile <[email-masked]>
Date: Sun, 5 Jul 2020 17:25:45 +0300
List-Id: <ccteam.mumzworld.com>

Dears,

Please check, the order shows delivered but the customer says she didn't
receive it.

Thanks,
Amani